# `PhoenixKitWeb.Components.Core.Header`
[🔗](https://github.com/BeamLabEU/phoenix_kit/blob/v1.7.87/lib/phoenix_kit_web/components/core/header.ex#L1)

Provides a header UI component.

# `header`

Renders a header with title.

## Attributes

* `class` (`:string`) - Defaults to `nil`.
## Slots

* `inner_block` (required)
* `subtitle`
* `actions`

---

*Consult [api-reference.md](api-reference.md) for complete listing*
